Bug 204420 - Unhandled Exception after installing files
Unhandled Exception after installing files
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-28 19:13 EDT by Tim Alberts
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-29 19:49:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda Installer Dump (184.08 KB, text/plain)
2006-08-28 19:13 EDT, Tim Alberts
no flags Details

  None (edit)
Description Tim Alberts 2006-08-28 19:13:27 EDT
Description of problem:
I went through the installation program and the program finds all my hard
drives, formats and configures.  Installs files.  However I changed the hard
drive installation because a previous method wasn't working either.  The new
'consistent' problem I get is an unhandled exception after installing the files.
 I'm (almost) positive it was doing the post install and setting up GRUB when it
does this.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Motherboard: ASUS A7N8X-E
Harddrives:
2 - WD1600YD
1 - WD1600SB
and old 40G not being used...
Comment 1 Tim Alberts 2006-08-28 19:13:27 EDT
Created attachment 135095 [details]
Anaconda Installer Dump
Comment 2 Tim Alberts 2006-08-28 19:15:28 EDT
I submitted a request for help to the fedora user list with no response yet...


I am trying to use the Installation program with FC5 to setup a new
system with 2 SATA drives.  The motherboard has a 'hardware raid' but
after a few years of monkeying with this system and drivers, software
raid is the correct way to go.  However, I am installing FC5 on new hard
drives.  The installation finishes, I reboot and the boot loader
sometimes isn't found at all, or is found, but doesn't have a kernel to
boot?  The times that the installer puts a boot loader in without a
kernel, I type in the parameters:

root(hd0,0)
kernel...
initrd...

and the system boots for the first time and I get through the 'first
boot stuff (setting soundcard etc)', then I boot again (if I'm lucky)
and the system boots.  However, at this point is the real symptom of the
problem.  The raid never has both drives in each partition.  The system
is configured to have /boot as /dev/md0 (/dev/sda1 + /dev/sdb1)... /
as /dev/md1 (/dev/sda2 + /dev/sdb2)... swap as /dev/md2 (/dev/sda3
+ /dev/sdb3) except the system is only using sda in partion md0 and sdb
in partion md1 and sda in partion md2.  Never are both drives in their
assigned partitions.

So my first question, I've looked through the mailing list archives back
a few months and I see no related issues.  Is anyone aware of bugs with
the software raid installation in FC5?

I guess my second question is a general 'help'?

Thank you in advance.
Comment 3 Tim Alberts 2006-08-29 19:49:33 EDT
I think I found the problem.  The SATA drives are powered off an adapter cable
that appears to have an unreliable connection.  After changing the power
connections, the system appears MUCH more stable.


Note You need to log in before you can comment on or make changes to this bug.